Page MenuHomePhabricator

autofocus on Special:UrlShortener broken
Closed, ResolvedPublic

Description

Tracking the OOUI bug

Event Timeline

Legoktm created this task.Jul 31 2015, 5:41 AM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added a subscriber: Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 31 2015, 5:41 AM

OOUI blocker was resolved, but after updating to lastest master, http://urlshortener.wmflabs.org/wiki/Special:UrlShortener still loses the autofocus. Any ideas @matmarex?

Yeah, there's an edge case I missed. https://gerrit.wikimedia.org/r/231059

matmarex claimed this task.Aug 29 2015, 5:29 PM

As the blocking task T106313 is not moving forward, I'll implement a workaround in UrlShortener.

Change 234737 had a related patch set uploaded (by Bartosz Dziewoński):
Better workaround for infusion autofocus problems (T106313)

https://gerrit.wikimedia.org/r/234737

Change 234737 merged by jenkins-bot:
Better workaround for infusion autofocus problems (T106313)

https://gerrit.wikimedia.org/r/234737

Legoktm closed this task as Resolved.Aug 29 2015, 7:04 PM

Worked around for now, we can remove that once the upstream bug is fixed.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptFeb 9 2016, 7:27 PM

Change 269837 had a related patch set uploaded (by Bartosz Dziewoński):
Remove workaround for infusion autofocus problems, now fixed!

https://gerrit.wikimedia.org/r/269837

Change 269837 merged by jenkins-bot:
Remove workaround for infusion autofocus problems, now fixed!

https://gerrit.wikimedia.org/r/269837